Skip to main content
POST
/
v1
/
accounting-entries
/
receipts:search
Apply filters to search for specific accounting entry receipts.
curl --request POST \
  --url https://external.pleo.io/v1/accounting-entries/receipts:search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json;charset=UTF-8' \
  --data '
{
  "includeDeleted": false,
  "accountingEntryIds": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "employeeIds": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "mimeType": [],
  "source": []
}
'
{
  "data": [
    {
      "accountingEntryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdAt": "2023-11-07T05:31:56Z",
      "fileType": "EMBED",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "mimeType": "unknown",
      "sizeInBytes": 123,
      "source": "APP_SHARE",
      "url": "<string>",
      "ocrDocumentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "pagination": {
    "currentRequestPagination": {
      "parameters": {},
      "after": "<string>",
      "before": "<string>",
      "limit": 123,
      "offset": 123,
      "sortingKeys": [
        "<string>"
      ],
      "sortingOrder": []
    },
    "hasNextPage": true,
    "hasPreviousPage": true,
    "endCursor": "<string>",
    "startCursor": "<string>",
    "total": 123
  }
}

Authorizations

Authorization
string
header
required

JWT Bearer token authentication. Include the token in the Authorization header as: Bearer <token>

Query Parameters

company_id
string<uuid>

Return only receipts of the given Company Id. Required if partner_id or organization_id is not provided.

partner_id
string<uuid>

Return only receipts of the specific companies associated with the given Partner ID. Required if company_id or organization_id is not provided.

organization_id
string<uuid>

Return only receipts of the specific companies associated with the given Organization ID. Required if company_id or partner_id is not provided.

before
string

Lower bound of the page of data to return (cannot be used together with [after])

after
string

Upper bound of the page of data to return (cannot be used together with [before])

limit
integer<int32>
default:10

The maximum amount of items to return. Never returns more than 100 items

Required range: 1 <= x <= 100
sorting_order
enum<string>[]

The order to sort the results by. Must be the same length as [sortingKeys]; one order per key.

Available options:
ASC,
ASC_NULLS_FIRST,
ASC_NULLS_LAST,
DESC,
DESC_NULLS_FIRST,
DESC_NULLS_LAST
sorting_keys
enum<string>[]

The keys to sort the results by

Available options:
createdAt,
id,
size

Body

application/json;charset=UTF-8
includeDeleted
boolean
default:false
required

Include deleted receipts

accountingEntryIds
string<uuid>[]

Only return receipts for the given accounting entry ID.

Only return receipts for the given accounting entry ID.

employeeIds
string<uuid>[]

Only return receipts for the given Employee ID.

Only return receipts for the given Employee ID.

fileType
enum<string>

ORIGINAL: The original file as it was uploaded. THUMBNAIL: Representation of the original file in a small image. PREVIEW: Display of the original file in a concise format.

Available options:
EMBED,
ORIGINAL,
THUMBNAIL,
PREVIEW
mimeType
enum<string>[]

Only return receipts with the given mime type. Useful for fetching a list of receipts uploaded with particular mime types.

unknown: The MIME type of the file is unknown. application/pdf: The receipt file is a PDF file. application/postscript: The receipt file is a PostScript file. application/xml: The receipt file is a xml e-invoice. image/jpeg: The receipt file is a JPEG image. image/png: The receipt file is a PNG image. image/heic: The receipt file is a HEIC image. image/heif: The receipt file is a HEIF image. image/gif: The receipt file is a GIF image. text/xml: The receipt file is a xml e-invoice.

Available options:
unknown,
application/pdf,
application/postscript,
application/xml,
image/jpeg,
image/png,
image/heic,
image/heif,
image/gif,
text/xml
source
enum<string>[]

Only return receipts that are uploaded from the specific source. Useful for fetching a list of receipts uploaded via particular sources.

APP_SHARE: The receipt was uploaded via the share to Pleo mobile app function. BOLT: The receipt was retrieved from Bolt mobile app. CAMERA: The receipt was uploaded via the camera in the Pleo mobile app. CASHBACK: The receipt was generated by the Cashback feature. EMAIL_FETCHING: The receipt was automatically fetched via Pleo Fetch. EMAIL_FETCHING_BATCHED: The receipt was automatically fetch via Pleo Fetch in a batch. EMAIL_FORWARDING: The receipt was forwarded to Pleo via email. GENERATED_RECEIPT: The receipt was generated by internal systems. LOST_RECEIPT: The receipt was generated by the Lost Receipt feature. ROGER: The receipt was automatically fetched via the Roger integration STOREBOX: The receipt was uploaded via the Storebox integration. STRIPE: The receipt was uploaded via the Stripe integration. TRAVELPERK: The receipt was uploaded via the TravelPerk integration. USER: The receipt was uploaded by the user.

Available options:
APP_SHARE,
BOLT,
CAMERA,
CASHBACK,
EMAIL_FETCHING,
EMAIL_FETCHING_BATCHED,
EMAIL_FORWARDING,
GENERATED_RECEIPT,
LOST_RECEIPT,
ROGER,
STOREBOX,
STRIPE,
TRAVELPERK,
USER

Response

default - application/json;charset=UTF-8

default response

data
object[]
required
pagination
object
required